directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Karasulu <aok...@bellsouth.net>
Subject Re: Shall we go JDK 1.5 in 1.1 branch
Date Tue, 07 Mar 2006 16:26:50 GMT
Trustin Lee wrote:
> So my idea is to experiment the translators so we can decide.  
+1 to experimentation.  Let's do this in a branch so we don't commit 
ourselves to it?
> The biggest issues here are two:
>
> * Is the translated class debuggable?  (Perhaps yes)
Yeah this is my biggest concern.  If this is fine then I'm definately a +1.
> * Does the translator warn if unsupported API is used?  (Perhaps no, 
> but it's OK if we have enough unit tests.)
Also note that most 1.5 API can be downloaded as separate JSR modules 
namely SASL jars but the user can download this.  To maintain an API 
agnostic character we still have to defensively code around then making 
features optional if the right JDK is used or the API is present because 
the user included the JSR JAR on the classpath.

Alex


Mime
View raw message